## fotoxx-maps 1.1

=== Makefile ===
# fotoxx-maps makefile 

# defaults for parameters that may be pre-defined
PREFIX ?= /usr

# target install directories
SHAREDIR = $(PREFIX)/share/fotoxx-maps
DATADIR = $(SHAREDIR)/data
ICONDIR = $(SHAREDIR)/icons
DOCDIR = $(PREFIX)/share/doc/fotoxx-maps
MANDIR = $(PREFIX)/share/man/man1

install:
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	cp -f -R  data/* $(DESTDIR)$(DATADIR)
	cp -f -R  icons/* $(DESTDIR)$(ICONDIR)
	cp -n -R  doc/* $(DESTDIR)$(DOCDIR)
	gzip -f -9 $(DESTDIR)$(DOCDIR)/changelog
	# man page
	cp -f doc/fotoxx-maps.man fotoxx-maps.1
	gzip -f -9 fotoxx-maps.1
	mv -f fotoxx-maps.1.gz $(DESTDIR)$(MANDIR)

uninstall:
	rm -f -R  $(DESTDIR)$(SHAREDIR)
	rm -f -R  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/fotoxx-maps.1.gz

clean:
	echo nothing to clean

=== debian/changelog ===
fotoxx-maps (1.1-0mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Purtell <mandbx@sbcglobal.net>  Wed, 06 Jul 2016 20:08:04 -0700

fotoxx-maps (1.1-pmo2~xenial) xenial; urgency=medium

  * Initial release for Xenial 16.04

 -- Pascal Mons <pascal_mons@hotmail.com>  Sun, 27 Mar 2016 13:56:37 -0400

fotoxx-maps (1.1-pmo2~wily) wily; urgency=low

  * Set Architecture: All in debian/control
  * Bump Standards-Version 3.9.3 => 3.9.6 (no change required)

 -- Pascal Mons <pascal_mons@hotmail.com>  Fri, 25 Sep 2015 11:28:56 -0400

fotoxx-maps (1.1-pmo1~wily) wily; urgency=medium

  * Additional maps for E.Europe, N.America, France, Germany, Italy, 
    Spain-Portugal, UK.
  * Initial release with maps for world, USA, S.America, Europe, Africa,
    Asia and Australia + New Zealand.
  * These maps show locations of photos having geotags. Clicking
    a map location shows a gallery of thumbnail images that can be selected in turn
    for viewing full size or editing. A user may add more maps, and these will work
    the same way.

 -- Pascal Mons <pascal_mons@hotmail.com>  Sat, 12 Sep 2015 11:57:03 -0400

fotoxx-maps (1.1-pmo1~trusty) trusty; urgency=low

  * Additional maps for E.Europe, N.America, France, Germany, Italy, 
    Spain-Portugal, UK.
  * Initial release with maps for world, USA, S.America, Europe, Africa,
    Asia and Australia + New Zealand.
  * These maps show locations of photos having geotags. Clicking
    a map location shows a gallery of thumbnail images that can be selected in turn
    for viewing full size or editing. A user may add more maps, and these will work
    the same way.

 -- Pascal Mons <pascal_mons@hotmail.com>  Sun, 28 Dec 2014 13:38:18 -0500

=== debian/control ===
Source: fotoxx-maps
Section: graphics
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Pascal Mons <pascal_mons@hotmail.com>
Build-Depends:
	debhelper (>= 9),
	libgtk-3-dev,
	libtiff5-dev,
	xdg-utils,
	libimage-exiftool-perl,
	liblcms2-dev
Standards-Version: 3.9.6
Homepage: http://kornelix.squarespace.com/downloads/

Package: fotoxx-maps
Architecture: all
Depends: ${shlibs:Depends},${misc:Depends},libimage-exiftool-perl
Recommends: ufraw-batch,ufraw,dcraw,xgd-open,libtiff,xdg-utils,libimage-exiftool-perl
Suggests: brasero
Description: Fotoxx-maps provides map files for use with Fotoxx. 
 When used with Fotoxx, these maps show the locations of photos that 
 have geotags in their embedded EXIF data. A map location may be 
 selected with the mouse and the corresponding photes will be shown 
 as a scrollable page of thumbnails. These may be selected in turn 
 for viewing at full size or editing with Fotoxx.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)
# Substitute CXXFLAGS from -O2 to -O3
# https://www.gnu.org/software/make/manual/html_node/Text-Functions.html
CXXFLAGS := $(subst -O2,-O3,$(CXXFLAGS))

# In Precise 12.04
# $ dpkg-buildflags --get CXXFLAGS
# -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security
# After substitution
# -g -O3 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security

%:
	dh $@ 

# https://wiki.debian.org/IntroDebianPackaging
# http://ubuntu.aspcode.net/view/635400140124705175673786/debian-package-creation-without-a-configure-script

override_dh_auto_build:
	# dh_auto_build -- CXXFLAGS="$(CXXFLAGS)"
	cd $(CURDIR)

overrride_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/fotoxx-maps prefix=/usr install

override_dh_builddeb:
	# remove the man page file in the /usr/share/doc/fotoxx-maps folder
	$ rm $(CURDIR)/debian/fotoxx-maps/usr/share/doc/fotoxx-maps/fotoxx-maps.man
	dh_builddeb

## fotoxx-maps 1.3

=== Makefile ===
# fotoxx-maps makefile 

CXXFLAGS += -Wall -Wno-format-truncation
PREFIX ?= /usr

# target install directories
BINDIR = $(PREFIX)/bin
SHAREDIR = $(PREFIX)/share/fotoxx-maps
DATADIR = $(SHAREDIR)/data
ICONDIR = $(SHAREDIR)/icons
DOCDIR = $(PREFIX)/share/doc/fotoxx-maps
MANDIR = $(PREFIX)/share/man/man1
APPDATADIR = $(PREFIX)/share/appdata
MENUFILE = $(PREFIX)/share/applications/fotoxx-maps.desktop

CFLAGS = $(CXXFLAGS) -c `pkg-config --cflags gtk+-3.0`
LIBS = `pkg-config --libs gtk+-3.0` -lpthread

fotoxx-maps: fotoxx-maps.o zfuncs.o   
	$(CXX) $(LDFLAGS) -o fotoxx-maps fotoxx-maps.o zfuncs.o $(LIBS)

fotoxx-maps.o: fotoxx-maps.cc
	$(CXX) $(CFLAGS) -o fotoxx-maps.o fotoxx-maps.cc

zfuncs.o: zfuncs.cc zfuncs.h
	$(CXX) $(CFLAGS)  zfuncs.cc  -D PREFIX=\"$(PREFIX)\" -D DOCDIR=\"$(DOCDIR)\"  \

install: fotoxx-maps uninstall
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(DESTDIR)$(APPDATADIR)
	mkdir -p  $(DESTDIR)$(PREFIX)/share/applications
	cp -f     fotoxx-maps $(DESTDIR)$(BINDIR)
	cp -f -R  data/* $(DESTDIR)$(DATADIR)
	cp -n -R  doc/* $(DESTDIR)$(DOCDIR)
	gzip -f -9 $(DESTDIR)$(DOCDIR)/changelog
	cp -f -R  appdata/* $(DESTDIR)$(APPDATADIR)
	# man page
	cp -f doc/fotoxx-maps.man fotoxx-maps.1
	gzip -f -9 fotoxx-maps.1
	cp fotoxx-maps.1.gz $(DESTDIR)$(MANDIR)
	rm -f fotoxx-maps.1.gz
	# menu (desktop) file
	cp -f fotoxx-maps.desktop $(DESTDIR)$(MENUFILE)
	cp -f fotoxx-maps.png $(DESTDIR)$(ICONDIR)

uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/fotoxx-maps
	rm -f -R  $(DESTDIR)$(SHAREDIR)
	rm -f -R  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/fotoxx-maps.1.gz
	rm -f  $(DESTDIR)$(MENUFILE)

clean:
	rm -f  fotoxx-maps
	rm -f  *.o

=== debian/changelog ===
fotoxx-maps (1.3-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 09 Nov 2019 07:37:30 -0800

fotoxx-maps (1.3-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 09 Nov 2019 07:36:19 -0800

fotoxx-maps (1.1-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17.
  * Reduce build-depends to debhelper, Depends to fotoxx.
  * Simplify rules file considerably.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 10 Sep 2017 16:01:07 -0700

## fotoxx-maps 1.4

=== Makefile ===
--- 
+++ 
@@ -53,6 +53,7 @@
 	rm -f -R  $(DESTDIR)$(DOCDIR)
 	rm -f  $(DESTDIR)$(MANDIR)/fotoxx-maps.1.gz
 	rm -f  $(DESTDIR)$(MENUFILE)
+	rm -f  $(DESTDIR)$(APPDATADIR)/fotoxx-maps*
 
 clean:
 	rm -f  fotoxx-maps

=== debian/changelog ===
fotoxx-maps (1.4-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 19 Jan 2020 17:07:37 -0800

=== debian/control ===
Source: fotoxx-maps
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Pascal Mons <pascal_mons@hotmail.com>
Build-Depends: debhelper (>= 9), 
	libgtk-3-dev,
	libtiff5-dev,
	xdg-utils,
	libimage-exiftool-perl,
	liblcms2-dev
Standards-Version: 3.9.6
Homepage: http://kornelix.squarespace.com/downloads/

Package: fotoxx-maps
Architecture: all
Depends: fotoxx
Description: Fotoxx-maps provides map files for use with Fotoxx. 
 When used with Fotoxx, these maps show the locations of photos that 
 have geotags in their embedded EXIF data. A map location may be 
 selected with the mouse and the corresponding photes will be shown 
 as a scrollable page of thumbnails. These may be selected in turn 
 for viewing at full size or editing with Fotoxx.

## fotoxx-maps 1.7

=== Makefile ===
# fotoxx-maps makefile 

CXXFLAGS += -Wall -Wno-format-truncation

PKG_CONFIG ?= pkg-config

### CFLAGS = $(CXXFLAGS) -c  `pkg-config --cflags gtk+-3.0`

CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                \
   `$(PKG_CONFIG) --cflags gtk+-3.0`               \
   -I/usr/include/clutter-1.0/                     \
   -I/usr/include/cogl/                            \
   -I/usr/include/json-glib-1.0/                   \
   -I/usr/include/clutter-gtk-1.0/

### LIBS = `pkg-config --libs gtk+-3.0` -lpthread

LIBS = `$(PKG_CONFIG) --libs gtk+-3.0`  -lpthread -lrt                           \
        -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12

fotoxx-maps: fotoxx-maps.o zfuncs.o   
	$(CXX) $(LDFLAGS) -o fotoxx-maps fotoxx-maps.o zfuncs.o $(LIBS)  \

fotoxx-maps.o: fotoxx-maps.cc
	$(CXX) $(CFLAGS) -o fotoxx-maps.o fotoxx-maps.cc  \

zfuncs.o: zfuncs.cc zfuncs.h
	$(CXX) $(CFLAGS)  zfuncs.cc  \

# target install directories
PREFIX ?= /usr
BINDIR = $(PREFIX)/bin
DOCDIR = $(PREFIX)/share/doc/fotoxx-maps
MANDIR = $(PREFIX)/share/man/man1
MENUDIR = $(PREFIX)/share/applications
SHAREDIR = $(PREFIX)/share/fotoxx-maps
DATADIR = $(SHAREDIR)/data
ICONDIR = $(SHAREDIR)/icons

install: fotoxx-maps uninstall
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(DESTDIR)$(MENUDIR)
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	cp -f     fotoxx-maps $(DESTDIR)$(BINDIR)
	cp -n -R  doc/* $(DESTDIR)$(DOCDIR)
	cp -f -R  data/* $(DESTDIR)$(DATADIR)
	# man page
	gzip -fk -9 doc/fotoxx-maps.man
	mv -f doc/fotoxx-maps.man.gz $(DESTDIR)$(MANDIR)/fotoxx-maps.1.gz
	# menu (desktop) file
	cp -f fotoxx-maps.desktop $(DESTDIR)$(MENUDIR)
	cp -f fotoxx-maps.png $(DESTDIR)$(ICONDIR)

uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/fotoxx-maps
	rm -f -R  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/fotoxx-maps.*
	rm -f  $(DESTDIR)$(MENUDIR)/fotoxx-maps.*
	rm -f -R  $(DESTDIR)$(SHAREDIR)

clean:
	rm -f  fotoxx-maps
	rm -f  *.o

=== debian/changelog ===
fotoxx-maps (1.7-0mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 23 Apr 2021 15:35:08 -0700

fotoxx-maps (1.7-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.
  * Updated build depends list.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 23 Apr 2021 15:12:41 -0700

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: fotoxx-maps
 Section: graphics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+Bugs: mailto: <mmikeinsantarosa@mxlinux.org>
 XSBC-Original-Maintainer: Pascal Mons <pascal_mons@hotmail.com>
-Build-Depends: debhelper (>= 9), 
+Build-Depends: debhelper (>= 12), 
+    libclutter-gtk-1.0-dev,
+    libchamplain-gtk-0.12-dev,  
 	libgtk-3-dev,
 	libtiff5-dev,
 	xdg-utils,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_build:
	cd $(CURDIR)

overrride_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/fotoxx-maps prefix=/usr install

override_dh_builddeb:
	# remove the man page file in the /usr/share/doc/fotoxx-maps folder
	$ rm $(CURDIR)/debian/fotoxx-maps/usr/share/doc/fotoxx-maps/fotoxx-maps.man
	dh_builddeb

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://kornelix.squarespace.com/downloads/ \
/storage/downloads/fotoxx-maps-(.*)\.tar\.gz
